<?xml version='1.0' encoding='UTF-8' ?>
<!--
/*
 *
 *  Copyright (C) 2010 Andreas Reichel <andreas@manticore-projects.com>
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	 <xsl:decimal-format decimal-separator="," grouping-separator="." name="european" percent="%"/>
	 <xsl:output method="xml" indent="yes"/>
	 <xsl:template match="/">
		  <HTML>
				<HEAD>
					 <meta http-equiv="content-type" content="text/html; charset=utf-8" />
					 <title>manticore-projects • Open Source ETL Software</title>
					 <meta name="description" content="An open-source high performance data extract transform and loading software." />
					 <meta name="robots" content="index,follow" />
					 <meta name="language" content="en_GB" />
					 <meta name="keywords" content="open source high performance data extract transform loading ETL" />
					 <style type="text/css">

body {
margin-top : 0;
padding : 0;
text-align : left;
font-family : VL PGothic, Liberation Sans, Trebuchet MS, Helvetica, sans-serif;
font-size : 11px;
}
p, td {
line-height: 120%;
}
h1, h2, h3, th {
margin-top : 0;
color : #030146;
}
h1 {
font-size : 1.6em;
font-weight : bold;
}
h2 {
font-size : 1.2em;
font-weight : normal;
}
h3 {
font-size : 1em;
}
ul {
list-style : square;
}
a {
text-decoration : none;
color : #030146;
}
a:hover {
border-bottom : 1px solid #030146;
}
a img {
border : none;
}
img.left {
float : left;
margin : 0 20px 0 0;
}
img.right {
float : right;
margin : 0 0 0 20px;
}
#header {
width : 100%;
margin : 0 auto;
background : url(image/bluebar4.png) repeat-x center top;
}
#logo {
height : 48px;
margin : 0 auto;
padding-top : 20px;
padding-left : 0;
padding-right : 20px;
}
#logo span {
color : #ff4d00;
}
#logo h1 {
color : #ffffff;
float : right;
padding : 0 0 0 0;
letter-spacing : -1px;
text-transform : lowercase;
font-weight : bold;
font-size : 32px;
}
#logo p {
text-transform : uppercase;
margin : 0 20px 0 15px;
padding : 20px 0;
font-size : 12px;
color : #ffffff;
}
#logo a {
border : none;
text-decoration : none;
color : #ffffff;
}
#menu {
width : 1000px;
margin : 0 auto;
padding : 0;
height : 20px;
}
#menu ul {
margin : 0;
padding : 0;
list-style : none;
}
#menu li {
display : inline;
}
#menu a {
display : block;
float : left;
height : 32px;
margin : 0;
padding : 18px 30px 0 30px;
text-decoration : none;
text-transform : capitalize;
font-size : 12px;
color : #ffffff;
}
#menu a:hover {
color : #ffffff;
}
#menu .current_page_item a {
color : #ffffff;
}
#page {
margin : 0 auto;
padding : 0;
background-color : #ffffff;
}
#page-bg {
background-color : #ffffff;
}
#latest-post {
padding : 20px;
border : 1px solid #e7e7e7;
}
#content {
margin-left : 250px;
padding : 16px 24px 0 24px;
}
.post {
padding-bottom : 8px;
line-height : 200%;
}
.post h1 {
font-weight : normal;
}
.title {
padding : 10px 0 4px 0;
font-weight : bold;
border-bottom : 1px dashed #bbbbbb;
margin : 0 0 0 20px;
}
.title-no-line {
padding : 10px 0 4px 0;
font-weight : bold;
margin : 0 0 0 20px;
}
.title a {
border-bottom : none;
color : #030146;
}
.title a:hover {
font-weight : bold;
}
.byline {
border-bottom : 1px dashed #bbbbbb;
margin : -10px 20px 20px 20px;
}
.tag {
padding : 0 15px;
}
.entry {
padding : 0 20px;
}
.links {
padding : 4px 0;
text-align : right;
font-weight : normal;
}
.links a {
border : none;
}
.links a:hover {
font-weight : bold;
}
#selected a {
color : #ff420e;
font-weight : bold;
}
#sidebar1 {
margin-top : 20px;
float : left;
}
#sidebar2 {
float : right;
}
.sidebar {
float : left;
width : 240px;
padding : 12px 0 0 0;
font-size : 12px;
}
.sidebar ul {
margin : 0;
padding : 0;
list-style : none;
}
.sidebar li {
padding : 0 0 20px 0;
}
.sidebar li li {
margin : 0 20px 0 15px;
padding : 8px 0;
border-bottom : 1px dashed #bbbbbb;
}
.sidebar h2 {
height : 24px;
margin : 0 0 0 0;
padding : 6px 15px 0 15px;
background : #030146 url(image/img05.jpg) no-repeat left top;
letter-spacing : -1px;
font-size : 16px;
color : #ffffff;
}
.sidebar a:hover {
font-weight : bold;
}
#searchform {
margin : 0;
padding : 0 0 0 0;
}
#searchform br {
display : none;
}
#s {
margin : 10px 0 0 15px;
padding : 2px 2px;
width : 180px;
height : 18px;
border : 1px solid #ca8186;
background : #ffffff;
font-size : 10px;
color : #000000;
}
#x {
margin : 0;
padding : 2px 5px;
height : 5px;
text-decoration : none;
text-transform : uppercase;
font-size : 10px;
color : #cccccc;
}
#footer {
width : 100%;
height : 16px;
margin : 0 auto;
padding : 0 0 0 0;
background : url(image/bluebar2.png) repeat-x center bottom;
color : #ffffff;
}
#footer p {
margin : 0;
padding : 0 20px 0 20px;
text-transform : lowercase;
text-align : center;
font-size : smaller;
}
#footer a {
color : #ffffff;
}
#footer .link {
float : right;
}
#footer .copyright {
float : left;
}
					 </style>
				</HEAD>
				<BODY>
			<!-- start header -->
					 <div id="header">
						  <div id="logo">
								<h1>
									 <a href="./content/en/about.htm">| man
										  <span>ti</span>core
									 </a>
								</h1>
								<p>
									 <a href="./content/en/index.htm">
										  <img alt="GB" src="./image/flag/gb.png" />
									 </a> •
									 <a href="./content/de/index.htm">
										  <img alt="DE" src="./image/flag/de.png" />
									 </a>
								</p>
						  </div>
					 </div>
<!-- end header -->
					 <div id="wrapper"><!-- start page -->
						  <div id="page">
								<div id="page-bg">
									 <div id="sidebar1" class="sidebar">
										  <ul>
												<li>
													 <h2>ETL Process</h2>
													 <ul>
														  <li>
																Default
														  </li>
													 </ul>
												</li>


										  </ul>
									 </div>
<!-- start content -->
									 <div id="content">
										  <xsl:for-each select="root/process">
												<H1 class="title">ETL Process
													 <xsl:value-of select="@id"/>
												</H1>

												<TABLE CLASS="body" RULES="rows" BORDER="1" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
													 <THEAD>
														  <TR>
																<TH>Options</TH>
														  </TR>
													 </THEAD>
													 <TBODY>
														  <xsl:for-each select="option">
																<TR>
																	 <TD>
																		  <xsl:value-of select="@id"/>
																	 </TD>
																	 <TD>
																		  <xsl:value-of select="@value"/>
																	 </TD>
																</TR>
														  </xsl:for-each>

													 </TBODY>
												</TABLE>

												<xsl:for-each select="group">
													 <H2 class="title">ETL-Group
														  <xsl:value-of select="@id"/>
													 </H2>

													 <TABLE CLASS="body" RULES="rows" BORDER="1" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
														  <THEAD>
																<TR>
																	 <TH>Options</TH>
																</TR>
														  </THEAD>
														  <TBODY>
																<xsl:for-each select="option">
																	 <TR>
																		  <TD>
																				<xsl:value-of select="@id"/>
																		  </TD>
																		  <TD>
																				<xsl:value-of select="@value"/>
																		  </TD>
																	 </TR>
																</xsl:for-each>

														  </TBODY>
													 </TABLE>

													 <xsl:for-each select="model">
														  <H3 class="title">ETL-Model
																<xsl:value-of select="@id"/>
														  </H3>

														  <TABLE CLASS="body" RULES="rows" BORDER="1" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
																<THEAD>

																	 <TR>
																		  <TH COLSPAN="2">Options</TH>
																	 </TR>
																</THEAD>
																<TBODY>
																	 <xsl:for-each select="option">
																		  <TR>
																				<TD>
																					 <xsl:value-of select="@id"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@value"/>
																				</TD>
																		  </TR>
																	 </xsl:for-each>
																	  <TR>
																				<TD>Query</TD>
																				<TD>
																					 <xsl:value-of select="sqlStr"/>
																				</TD>
																		  </TR>
																</TBODY>

														  </TABLE>

														  <TABLE CLASS="body" RULES="rows" BORDER="1" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
																<THEAD>

																	 <TR>
																		  <TH COLSPAN='5'>Fields</TH>
																	 </TR>
																</THEAD>
																<TBODY>


																	 <xsl:for-each select="field">
																		  <TR>
																				<TD>
																					 <xsl:value-of select="@nameT"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@position"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@end"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@format"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@type"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@name"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@nameA"/>
																				</TD>
																				<TD>
																					 <xsl:value-of select="@value"/>
																				</TD>
																		  </TR>
																	 </xsl:for-each>

																</TBODY>

														  </TABLE>

													 </xsl:for-each>

												</xsl:for-each>



										  </xsl:for-each>
									 </div>
<!-- end content -->
<!-- start sidebars -->
<!-- end sidebars -->
								</div>
						  </div>
<!-- end page -->
					 </div>
					 <div id="footer">
						  <p class="copyright">© 2010 All Rights Reserved •
								<a href="./content/en/license.htm">Terms of Use</a> •
						  </p>
						  <p class="link">•
								<a href="./content/en/impressum.htm">Impressum</a> •
						  </p>
					 </div>


				</BODY>
		  </HTML>
	 </xsl:template>
</xsl:stylesheet>
