#!/bin/sh

# ----------------------------------------------------------------------------
# manticore-ETLTools Start Up Batch script
#
# Required ENV vars:
# ------------------
#   JAVA_HOME - location of a JDK home dir
#
# Optional ENV vars
# -----------------
#
# ----------------------------------------------------------------------------

#JAVA_HOME=/app/jboss/env/jdk/jdk1.6.0_23
PATH=$JAVA_HOME/bin:$PATH
ETL_OPTIONS="POSTINGDATE=20120831,INITDATE=20120831,COMPANY=176,SPLIT=0,THREADS=5,DATAROWS=1024"
ETL_FILE=etl/etlFidelity_20120725.xml
LOGGING="-Djava.util.logging.config.file=logging.properties"

if [ -z "$JAVA_HOME" ] ; then
  if [ -r /etc/gentoo-release ] ; then
    JAVA_HOME=`java-config --jre-home`
  fi
fi

if [ -z "$JAVA_HOME" ]; then
  javaExecutable="`which javac`"
  if [ -n "$javaExecutable" -a ! "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
    # readlink(1) is not available as standard on Solaris 10.
    readLink=`which readlink`
    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
      javaExecutable="`readlink -f \"$javaExecutable\"`"
      javaHome="`dirname \"$javaExecutable\"`"
      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
      JAVA_HOME="$javaHome"
      export JAVA_HOME
    fi
  fi
fi

if [ -z "$JAVACMD" ] ; then
  if [ -n "$JAVA_HOME"  ] ; then
    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
      # IBM's JDK on AIX uses strange locations for the executables
      JAVACMD="$JAVA_HOME/jre/sh/java"
    else
      JAVACMD="$JAVA_HOME/bin/java"
    fi
  else
    JAVACMD="`which java`"
  fi
fi

if [ ! -x "$JAVACMD" ] ; then
  echo "Error: JAVA_HOME is not defined correctly."
  echo "  We cannot execute $JAVACMD"
  exit 1
fi

if [ -z "$JAVA_HOME" ] ; then
  echo "Warning: JAVA_HOME environment variable is not set."
fi

for f in `find . -name *.jar`
do
	CLASSPATH=$CLASSPATH:$f
done

exec "$JAVACMD" $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -g -o $ETL_OPTIONS "$@"
